com.genesyslab.wfm7.API.service.schedule761

## Class SchStateFilter

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule761.SchStateFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class SchStateFilter
      extends java.lang.Object
      implements java.io.Serializable

  Schedule State Filter
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `enableDayOffFilter` Indicates whether to enable the Day Off filter (true/false).
    `private double[]` | `filterDays` Contains an array of dates.
    `private int` | `filterDaysNSizeIs` The number of elements in the 'filterDays' array,
    `private double` | `mealEarliestStartTime` Defines earliest start time for first meal start time filter.
    `private double` | `mealLatestStartTime` Defines latest start time for first meal start time filter.
    `private double` | `shiftEarliestStartTime` Defines earliest start time for shift start time filter.
    `private double` | `shiftLatestStartTime` Defines latest start time for shift start time filter.
    `private int[]` | `stateGroupFilter` State Group ID filter.
    `private int` | `stateGroupFilterNSizeIs`
    `private SchStateID[]` | `stateIDFilter` `SchStateID` filter.
    `private int` | `stateIDFilterNSizeIs`
    `private int[]` | `stateTypeFilter` `ESchStateType` filter.
    `private int` | `stateTypeFilterNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchStateFilter()`
    `SchStateFilter(int stateIDFilterNSizeIs, SchStateID[] stateIDFilter, int stateTypeFilterNSizeIs, int[] stateTypeFilter, int stateGroupFilterNSizeIs, int[] stateGroupFilter, boolean enableDayOffFilter, double shiftEarliestStartTime, double shiftLatestStartTime, double mealEarliestStartTime, double mealLatestStartTime, int filterDaysNSizeIs, double[] filterDays)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `getFilterDays()` Gets the filterDays value for this SchStateFilter.
    `int` | `getFilterDaysNSizeIs()` Gets the filterDaysNSizeIs value for this SchStateFilter.
    `double` | `getMealEarliestStartTime()` Gets the mealEarliestStartTime value for this SchStateFilter.
    `double` | `getMealLatestStartTime()` Gets the mealLatestStartTime value for this SchStateFilter.
    `double` | `getShiftEarliestStartTime()` Gets the shiftEarliestStartTime value for this SchStateFilter.
    `double` | `getShiftLatestStartTime()` Gets the shiftLatestStartTime value for this SchStateFilter.
    `int[]` | `getStateGroupFilter()` Gets the stateGroupFilter value for this SchStateFilter.
    `int` | `getStateGroupFilterNSizeIs()` Gets the stateGroupFilterNSizeIs value for this SchStateFilter.
    `SchStateID[]` | `getStateIDFilter()` Gets the stateIDFilter value for this SchStateFilter.
    `int` | `getStateIDFilterNSizeIs()` Gets the stateIDFilterNSizeIs value for this SchStateFilter.
    `int[]` | `getStateTypeFilter()` Gets the stateTypeFilter value for this SchStateFilter.
    `int` | `getStateTypeFilterNSizeIs()` Gets the stateTypeFilterNSizeIs value for this SchStateFilter.
    `boolean` | `isEnableDayOffFilter()` Gets the enableDayOffFilter value for this SchStateFilter.
    `void` | `setEnableDayOffFilter(boolean enableDayOffFilter)` Sets the enableDayOffFilter value for this SchStateFilter.
    `void` | `setFilterDays(double[] filterDays)` Sets the filterDays value for this SchStateFilter.
    `void` | `setFilterDaysNSizeIs(int filterDaysNSizeIs)` Sets the filterDaysNSizeIs value for this SchStateFilter.
    `void` | `setMealEarliestStartTime(double mealEarliestStartTime)` Sets the mealEarliestStartTime value for this SchStateFilter.
    `void` | `setMealLatestStartTime(double mealLatestStartTime)` Sets the mealLatestStartTime value for this SchStateFilter.
    `void` | `setShiftEarliestStartTime(double shiftEarliestStartTime)` Sets the shiftEarliestStartTime value for this SchStateFilter.
    `void` | `setShiftLatestStartTime(double shiftLatestStartTime)` Sets the shiftLatestStartTime value for this SchStateFilter.
    `void` | `setStateGroupFilter(int[] stateGroupFilter)` Sets the stateGroupFilter value for this SchStateFilter.
    `void` | `setStateGroupFilterNSizeIs(int stateGroupFilterNSizeIs)` Sets the stateGroupFilterNSizeIs value for this SchStateFilter.
    `void` | `setStateIDFilter(SchStateID[] stateIDFilter)` Sets the stateIDFilter value for this SchStateFilter.
    `void` | `setStateIDFilterNSizeIs(int stateIDFilterNSizeIs)` Sets the stateIDFilterNSizeIs value for this SchStateFilter.
    `void` | `setStateTypeFilter(int[] stateTypeFilter)` Sets the stateTypeFilter value for this SchStateFilter.
    `void` | `setStateTypeFilterNSizeIs(int stateTypeFilterNSizeIs)` Sets the stateTypeFilterNSizeIs value for this SchStateFilter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stateIDFilterNSizeIs

          private int stateIDFilterNSizeIs

    - #### stateIDFilter

          private SchStateID[] stateIDFilter

      `SchStateID` filter. Can be NULL, meaning "any state".

    - #### stateTypeFilterNSizeIs

          private int stateTypeFilterNSizeIs

    - #### stateTypeFilter

          private int[] stateTypeFilter

      `ESchStateType` filter. Can be NULL, meaning "all state type".

    - #### stateGroupFilterNSizeIs

          private int stateGroupFilterNSizeIs

    - #### stateGroupFilter

          private int[] stateGroupFilter

      State Group ID filter. Can be NULL, meaning "any state group".

    - #### enableDayOffFilter

          private boolean enableDayOffFilter

      Indicates whether to enable the Day Off filter (true/false). If enabled, agent day is still included even if it has a Day Off scheduled.

    - #### shiftEarliestStartTime

          private double shiftEarliestStartTime

      Defines earliest start time for shift start time filter. `OleDateTime`

    - #### shiftLatestStartTime

          private double shiftLatestStartTime

      Defines latest start time for shift start time filter. `OleDateTime`

    - #### mealEarliestStartTime

          private double mealEarliestStartTime

      Defines earliest start time for first meal start time filter. `OleDateTime`

    - #### mealLatestStartTime

          private double mealLatestStartTime

      Defines latest start time for first meal start time filter. `OleDateTime`

    - #### filterDaysNSizeIs

          private int filterDaysNSizeIs

      The number of elements in the 'filterDays' array,

    - #### filterDays

          private double[] filterDays

      Contains an array of dates. If not empty (NULL), this defines the dates that need to be checked against defined filters. `OleDateTime`

  - ### Constructor Detail

    - #### SchStateFilter

          public SchStateFilter()

    - #### SchStateFilter

          public SchStateFilter(int stateIDFilterNSizeIs,
                        SchStateID[] stateIDFilter,
                        int stateTypeFilterNSizeIs,
                        int[] stateTypeFilter,
                        int stateGroupFilterNSizeIs,
                        int[] stateGroupFilter,
                        boolean enableDayOffFilter,
                        double shiftEarliestStartTime,
                        double shiftLatestStartTime,
                        double mealEarliestStartTime,
                        double mealLatestStartTime,
                        int filterDaysNSizeIs,
                        double[] filterDays)

  - ### Method Detail

    - #### getStateIDFilterNSizeIs

          public int getStateIDFilterNSizeIs()

      Gets the stateIDFilterNSizeIs value for this SchStateFilter.
      Returns:
        stateIDFilterNSizeIs

    - #### setStateIDFilterNSizeIs

          public void setStateIDFilterNSizeIs(int stateIDFilterNSizeIs)

      Sets the stateIDFilterNSizeIs value for this SchStateFilter.
      Parameters:
        `stateIDFilterNSizeIs` -

    - #### getStateIDFilter

          public SchStateID[] getStateIDFilter()

      Gets the stateIDFilter value for this SchStateFilter.
      Returns:
        stateIDFilter

    - #### setStateIDFilter

          public void setStateIDFilter(SchStateID[] stateIDFilter)

      Sets the stateIDFilter value for this SchStateFilter.
      Parameters:
        `stateIDFilter` -

    - #### getStateTypeFilterNSizeIs

          public int getStateTypeFilterNSizeIs()

      Gets the stateTypeFilterNSizeIs value for this SchStateFilter.
      Returns:
        stateTypeFilterNSizeIs

    - #### setStateTypeFilterNSizeIs

          public void setStateTypeFilterNSizeIs(int stateTypeFilterNSizeIs)

      Sets the stateTypeFilterNSizeIs value for this SchStateFilter.
      Parameters:
        `stateTypeFilterNSizeIs` -

    - #### getStateTypeFilter

          public int[] getStateTypeFilter()

      Gets the stateTypeFilter value for this SchStateFilter.
      Returns:
        stateTypeFilter

    - #### setStateTypeFilter

          public void setStateTypeFilter(int[] stateTypeFilter)

      Sets the stateTypeFilter value for this SchStateFilter.
      Parameters:
        `stateTypeFilter` -

    - #### getStateGroupFilterNSizeIs

          public int getStateGroupFilterNSizeIs()

      Gets the stateGroupFilterNSizeIs value for this SchStateFilter.
      Returns:
        stateGroupFilterNSizeIs

    - #### setStateGroupFilterNSizeIs

          public void setStateGroupFilterNSizeIs(int stateGroupFilterNSizeIs)

      Sets the stateGroupFilterNSizeIs value for this SchStateFilter.
      Parameters:
        `stateGroupFilterNSizeIs` -

    - #### getStateGroupFilter

          public int[] getStateGroupFilter()

      Gets the stateGroupFilter value for this SchStateFilter.
      Returns:
        stateGroupFilter

    - #### setStateGroupFilter

          public void setStateGroupFilter(int[] stateGroupFilter)

      Sets the stateGroupFilter value for this SchStateFilter.
      Parameters:
        `stateGroupFilter` -

    - #### isEnableDayOffFilter

          public boolean isEnableDayOffFilter()

      Gets the enableDayOffFilter value for this SchStateFilter.
      Returns:
        enableDayOffFilter

    - #### setEnableDayOffFilter

          public void setEnableDayOffFilter(boolean enableDayOffFilter)

      Sets the enableDayOffFilter value for this SchStateFilter.
      Parameters:
        `enableDayOffFilter` -

    - #### getShiftEarliestStartTime

          public double getShiftEarliestStartTime()

      Gets the shiftEarliestStartTime value for this SchStateFilter.
      Returns:
        shiftEarliestStartTime

    - #### setShiftEarliestStartTime

          public void setShiftEarliestStartTime(double shiftEarliestStartTime)

      Sets the shiftEarliestStartTime value for this SchStateFilter.
      Parameters:
        `shiftEarliestStartTime` -

    - #### getShiftLatestStartTime

          public double getShiftLatestStartTime()

      Gets the shiftLatestStartTime value for this SchStateFilter.
      Returns:
        shiftLatestStartTime

    - #### setShiftLatestStartTime

          public void setShiftLatestStartTime(double shiftLatestStartTime)

      Sets the shiftLatestStartTime value for this SchStateFilter.
      Parameters:
        `shiftLatestStartTime` -

    - #### getMealEarliestStartTime

          public double getMealEarliestStartTime()

      Gets the mealEarliestStartTime value for this SchStateFilter.
      Returns:
        mealEarliestStartTime

    - #### setMealEarliestStartTime

          public void setMealEarliestStartTime(double mealEarliestStartTime)

      Sets the mealEarliestStartTime value for this SchStateFilter.
      Parameters:
        `mealEarliestStartTime` -

    - #### getMealLatestStartTime

          public double getMealLatestStartTime()

      Gets the mealLatestStartTime value for this SchStateFilter.
      Returns:
        mealLatestStartTime

    - #### setMealLatestStartTime

          public void setMealLatestStartTime(double mealLatestStartTime)

      Sets the mealLatestStartTime value for this SchStateFilter.
      Parameters:
        `mealLatestStartTime` -

    - #### getFilterDaysNSizeIs

          public int getFilterDaysNSizeIs()

      Gets the filterDaysNSizeIs value for this SchStateFilter.
      Returns:
        filterDaysNSizeIs

    - #### setFilterDaysNSizeIs

          public void setFilterDaysNSizeIs(int filterDaysNSizeIs)

      Sets the filterDaysNSizeIs value for this SchStateFilter.
      Parameters:
        `filterDaysNSizeIs` -

    - #### getFilterDays

          public double[] getFilterDays()

      Gets the filterDays value for this SchStateFilter.
      Returns:
        filterDays

    - #### setFilterDays

          public void setFilterDays(double[] filterDays)

      Sets the filterDays value for this SchStateFilter.
      Parameters:
        `filterDays` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.